- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# chroot – Interact with local chroot

- Synopsis
- Parameters
- Status

## Synopsis

- Run commands or put/fetch files to an existing chroot on the Ansible controller.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
chroot_exe - added in 2.8 | Default: "chroot" | ini entries: [chroot_connection] exe = chroot env:ANSIBLE_CHROOT_EXE var: ansible_chroot_exe | User specified chroot binary
executable - | Default: "/bin/sh" | ini entries: [defaults] executable = /bin/sh env:ANSIBLE_EXECUTABLE var: ansible_executable | User specified executable shell
remote_addr - | Default: "inventory_hostname" | var: ansible_host | The path of the chroot you want to access.

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]
- This connection is maintained by the Ansible Community. [community]

### Authors

- Maykel Moya <mmoya@speedyrails.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.